#include <amxmodx> 

new g_RadioTimer[33]

// Radio4 wav files 
stock const radio4_spk[9][] ={   
	"spk radio/ct_point.wav", 
	"spk radio/com_followcom.wav", 
	"spk radio/meetme.wav", 
	"spk radio/moveout.wav", 
	"spk radio/getout.wav", 
	"spk radio/ct_imhit.wav", 
	"spk radio/hitassist.wav", 
	"spk radio/circleback.wav", 
	"spk radio/locknload.wav" 
} 

// Eng 'saychats' when using Radio4 
stock const radio4_say[9][] = {    
	"I'll take the point.", 
	"Ok team, follow my command.", 
	"Meet at the rendezvous point.", 
	"Alright, lets move out.", 
	"Team, lets get out of here!", 
	"I'm Hit!", 
	"I'm Hit, Need Assistance!", 
	"Circle around back!", 
	"Lock n' Load." 
} 

public radio4(id) {   // Client used Radio4 commands 
	if(is_user_alive(id) == 0) return PLUGIN_HANDLED
	// What Radio4 menu will look like
	new menu_body[] = "\yRadio Misc\w^n\
	^n\
	1. ^"I'll Take Point^"^n\
	2. ^"Follow my Command^"^n\
	3. ^"Meet at Rendezvous^"^n\
	4. ^"Move Out^"^n\
	5. ^"Lets get Out!^"^n\
	6. ^"I'm Hit!^"^n\
	7. ^"Hit/Assist!^"^n\
	8. ^"Circle Back^"^n\
	9. ^"Lock n Load^"^n\
	^n\
	0. Exit"
	show_menu(id,1023,menu_body) // Show the above menu on screen 
	return PLUGIN_HANDLED 
} 

public radio4cmd(id, key) { 
	if(is_user_alive(id) == 0) return PLUGIN_HANDLED
	if(g_RadioTimer[id] == 1) return PLUGIN_HANDLED
	new players[32],total, team_name[10] 
	get_user_team(id,team_name, 9) 
	get_players(players, total ,"ce", team_name) // No bots and Match team name
	new name[32]
	get_user_name(id,name,31)
	for(new a=0; a < total; ++a) { 
		client_cmd(players[a], radio4_spk[key])   // Play sound 
		client_print(players[a],print_chat,"%s (RADIO): %s",name,radio4_say[key]) // Print radio message on screen
		g_RadioTimer[id] = 1
		set_task(2.0,"radiotimer",id)
	}
	return PLUGIN_HANDLED 
} 

public plugin_precache() {
	precache_sound(radio4_spk[0][4])
	precache_sound(radio4_spk[1][4])
	precache_sound(radio4_spk[2][4])
	precache_sound(radio4_spk[3][4])
	precache_sound(radio4_spk[4][4])
	precache_sound(radio4_spk[5][4])
	precache_sound(radio4_spk[6][4])
	precache_sound(radio4_spk[7][4])
	precache_sound(radio4_spk[8][4])
	return PLUGIN_CONTINUE 
} 

public plugin_init(){
	register_plugin("Radio4","1.1","Downtown1")
	register_clcmd("radio4", "radio4")
	register_menucmd(register_menuid("Radio Misc"),511,"radio4cmd")
	return PLUGIN_CONTINUE  
}

public radiotimer(id) {
	g_RadioTimer[id] = 0
	return PLUGIN_HANDLED
}

public client_connect(id) {
	g_RadioTimer[id] = 0
}

public client_disconnect(id) {
	g_RadioTimer[id] = 0
}